function onBegin()
    disableMovement()
    disableRetry()
    local level = getLevel()
    wait(5)
    say("of_01")
end

function onEnd()   
    enableMovement()
    enableRetry()
    setFlag("of_thekingindeepblue", true)
    level:ResetZoom()
    
end